Subject: Re: bug#55037: The program 'compute-guix-derivation' failed to compute the derivation for Guix

From: Arne Schlüter <[email-masked]>
Date: Wed, 20 Apr 2022 15:22:16 +0200

Looking at the logs (the first command did not find a log file, the
second log file was corrupted) I found out that I ran out of space in
`/tmp`. Because I am running this on a SBC I set up `/tmp` as a tmpfs
with a size of 1G. Increasing it to 2G helped and the build succeeded.

Maxime Devos <[email-masked]> writes:

> Arne Schlüter schreef op wo 20-04-2022 om 13:14 [+0200]:
>>       message: "build of
>> `/gnu/store/1mm8zlhs1zl4542f1pnmygr0xp6wcbdl-glibc-utf8-locales-
>> 2.33.drv' failed"
>
> Could you attach the build log?  Try
>
> $ guix build /gnu/store/1mm8zlhs1zl4542f1pnmygr0xp6wcbdl-glibc-utf8-locales-2.33.drv  --log-file
>
> or, if that says ‘no build log found’, try running
>
> $ guix build /gnu/store/rffgxc50vcqd5f05yyc9sp2cqcf6mfhg-linux-libre-headers-5.10.35.drv --log-file
>
> and if that doesn't have a log either (or it has a log but it says it succeeded), try running
>
> $ guix build /gnu/store/1mm8zlhs1zl4542f1pnmygr0xp6wcbdl-glibc-utf8-locales-2.33.drv |& tee log
>
> and attach the file 'log'.
>
> Greetings,
> Maxime.